// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	users_apiv1 "gitlab.com/aleksei.e.kozlov/users-api/pkg/gen/proto/go/users_api/v1"
)

// UserServiceProvider is an autogenerated mock type for the UserServiceProvider type
type UserServiceProvider struct {
	mock.Mock
}

// AddUser provides a mock function with given fields: ctx, userMainValues
func (_m *UserServiceProvider) AddUser(ctx context.Context, userMainValues *users_apiv1.UserMainValues) (*users_apiv1.User, error) {
	ret := _m.Called(ctx, userMainValues)

	var r0 *users_apiv1.User
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.UserMainValues) *users_apiv1.User); ok {
		r0 = rf(ctx, userMainValues)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*users_apiv1.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *users_apiv1.UserMainValues) error); ok {
		r1 = rf(ctx, userMainValues)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeleteUser provides a mock function with given fields: ctx, request
func (_m *UserServiceProvider) DeleteUser(ctx context.Context, request *users_apiv1.DeleteUserRequest) (*users_apiv1.DeleteUserResponse, error) {
	ret := _m.Called(ctx, request)

	var r0 *users_apiv1.DeleteUserResponse
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.DeleteUserRequest) *users_apiv1.DeleteUserResponse); ok {
		r0 = rf(ctx, request)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*users_apiv1.DeleteUserResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *users_apiv1.DeleteUserRequest) error); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListUsers provides a mock function with given fields: ctx, request
func (_m *UserServiceProvider) ListUsers(ctx context.Context, request *users_apiv1.ListUsersRequest) (*users_apiv1.ListUsersResponse, error) {
	ret := _m.Called(ctx, request)

	var r0 *users_apiv1.ListUsersResponse
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.ListUsersRequest) *users_apiv1.ListUsersResponse); ok {
		r0 = rf(ctx, request)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*users_apiv1.ListUsersResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *users_apiv1.ListUsersRequest) error); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ModifyUser provides a mock function with given fields: ctx, request
func (_m *UserServiceProvider) ModifyUser(ctx context.Context, request *users_apiv1.ModifyUserRequest) (*users_apiv1.ModifyUserResponse, error) {
	ret := _m.Called(ctx, request)

	var r0 *users_apiv1.ModifyUserResponse
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.ModifyUserRequest) *users_apiv1.ModifyUserResponse); ok {
		r0 = rf(ctx, request)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*users_apiv1.ModifyUserResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *users_apiv1.ModifyUserRequest) error); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
